@import url("reset.css");

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,600;1,500&display=swap');

body {
    font-family: 'Poppins', sans-serif;
    min-height: 100vh;
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-card {
    width: 450px;
    background:  rgba(255, 255, 255, 0.5);
    padding: 4rem;
    border-radius: 50px;
    position: relative;
}

    .login-card::before {
        content:' ';
        position: absolute;
        background: rgba(255, 255, 255, .15);
        inset: 0;
        transform: rotate(-5deg);
        z-index: -1;

    }

    .login-card-logo {
        margin-bottom: 2rem;
    }

    .login-card-logo img {
        width:300px;
    }

    .login-card-logo,
    .login-card-header,
    .login-card-footer {
        text-align: center;
        width: 100%;
        color: #324084;
    }

    .login-card a {
        text-decoration: none;
        color: #324084;
    }

    .login-card a:hover {
        text-decoration: underline;
    }

.login-card-header {
    margin-bottom: 2rem;
}    

.login-card-header h1 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: .5rem;
}

.login-card-header h1 + div {
    font-size: calc(1rem * .8);
    opacity: .8;
}

.login-card-form {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.login-card-form .from-item {
    position: relative;
}

.login-card-form-item .form-item-icon {
    position: absolute;
    top:.82rem;
    left: 1.4rem;
    font-size: 1.3rem;
    opacity: .4;
}

.logun-card-form .checkbox {
    display: flex;
    align-items: center;
    gap: 7px;
}

.login-card-form .form-item-other {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: calc(1rem * .8);
    margin-bottom: .5rem;
}

.login-card-footer {
    margin-top: 1.5rem;
    font-size: calc(1 rem * .8);
}

.login-card input[type="text"],
.login-card input[type="password"],
.login-card input[type="email"]{
    border: none;
    outline: none;
    background: rgba(146, 146, 146, 0.3);
    padding: 1rem 1.5rem;
    padding-left: calc(1rem * 3.5);
    border-radius: 100px;
    width: 100%;
    transition: backround .5s;
}

.login-card input:focus {
    background: rgb(154, 154, 154);
}

.login-card input[type="checkbox"] {
    width: 16px;
    height: 16px;
    accent-color: black;
}

.login-card-form button {
    background: #324084;
    text-align: center;
    color: white;
    padding: 1rem;
    border-radius: 100px;
    text-transform: uppercase;
    letter-spacing: 2px;
    transition: background .5s;
    width: 100%;
}

.login-card-form button:hover {
    background-color: rgba(189, 70, 23, 0.85);
    cursor: pointer;
}

.login-card-social {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    text-align: center;
    margin-top: 3rem;
}

.login-card-social > div {
    opacity: .8;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: calc(1rem * .8);
    color: orange;
}

.login-card-social-btns {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

@media (max-width: 768px) {

    body {
        padding: 2rem o;
    }

    .login-card{
        width: 3000px;
        padding: 2rem;
    }
}

